public class King extends Piece {

    public King(int x, int y, Player owner){
		super(x, y, owner);
		owner.setKing(this);
    }

    public boolean isMoveAuthorized(Board board, Coordinates destination){
	int dx = destination.getX();
	int dy = destination.getY();
	int ox = this.getX();
	int oy = this.getY();
	
	for(int i=-1;i<=1;i++) {
		for(int j=-1; j<=1; j++) {
			if( (dx-ox)==i && (dy-oy)==j && board.isEmptyCell(dx, dy)) {
				return true;
			}
		}
		
	}



	return false;
    }

    @Override
    public Type getType() {
	return Type.KING;
    }

    @Override
    public int getValue() {
	return 0;
    }
    
}
