public class Pawn extends Piece {

    public Pawn(int x, int y, Player owner){
		super(x, y, owner);
		
    }

    public boolean isMoveAuthorized(Board board, Coordinates destination){
	int dx = destination.getX();
	int dy = destination.getY();
	int ox = this.getX();
	int oy = this.getY();
	int absx = Math.abs(dx-ox);
	int absy = Math.abs(dy-oy);
	for(int i=0; i<=7; i++) {
		
		if((oy==1 || oy == 6) && (absy==1 || absx == 2) && board.isEmptyCell(destination)&&absx==0) {return true;}
		
		if((oy!=1 || oy!=6) && absy==1 && absx==0){return true;}
		return false;
	}


	return true;
    }

    @Override
    public Type getType() {
	return Type.PAWN;
    }

    @Override
    public int getValue() {
	return 1;
    }
    
}
