import java.util.ArrayList;
import java.util.List;

public abstract class Player{
    protected ChessColor color;
    private int score;
    private King king;
    public boolean isCheck;
    public boolean isCheckMate;

    public Player(ChessColor color){
        this.color = color;
        this.score = 0;
        this.isCheckMate = false;
    }

    public ChessColor getColor(){
	return this.color;
    }

    public int getScore(){
	return this.score;
    }

    public void addToScore(int value){
    	score+=value;
    }
    
    public void removeFromScore(int value){
    	score-= value;
    }
    
    public abstract FromTo getFromTo();

    public Piece getKing(){
	return this.king;
    }
    
    public void setKing(King king){
    	this.king=king;
    }
    
    public boolean isCheckMate(Board board){
	return false;
    }

    public void setCheck(){
    }

    public void unSetCheck(){
    }
    
    public List<Move> getAllMoves(Board board) {
	return null;
    }

    @Override
    public String toString(){
	return null;
    }
}
