public class Queen extends Piece {

    public Queen(int x, int y, Player owner){
		super(x, y, owner);
		
    }

    public boolean isMoveAuthorized(Board board, Coordinates destination){
	int dx = destination.getX();
	int dy = destination.getY();
	int ox = this.getX();
	int oy = this.getY();
	Coordinates origin = new Coordinates(ox,oy);
	


	for(int i=0; i<=7;i++) {
		for(int j=0; j<=7;j++) {
			if(board.sameColumnNothingBetween(origin,destination)&& dy<=7 && dy >=0) {return true;}
			else if(board.sameRowNothingBetween(origin,destination)&& dx<=7 && dx>=0) {return true;}
			else if(board.sameDiagonalNothingBetween(origin, destination) &&(dx-ox)%(dy-oy)==0) {return true;}
		}
	}
	
	



	return false;
    
    }

    @Override
    public Type getType() {
	return Type.QUEEN;
    }

    @Override
    public int getValue() {
	return 9;
    }
    
}
