public class DecreaseGrayLevels implements Transform {
    int nbGrayLevel;
    DecreaseGrayLevels(int nbGrayLevel){
        this.nbGrayLevel = nbGrayLevel;
        
    }

    @Override
    public void applyTo(GrayImage image) {
        for (int x = 0; x < image.getWidth(); ++x){
            for(int y = 0; y < image.getHeight(); ++y){
                image.setPixel(image.getPixelGrayColor(x, y).decreaseGrayLevel(nbGrayLevel), x, y);
           
            }
        }
    }

}
