/**
 * Created by Arnaud Labourel on 20/09/2018.
 */

import tp2.lib.Painter;

import java.awt.Color;
import java.util.Random;

import static tp2.lib.Tools.sleep;

public class Main {
    static final int WIDTH = 800;
    static final int HEIGHT = 600;


    public static void main(String[] args){
        Random random= new Random();
        Painter painter = new Painter(WIDTH, HEIGHT);
        

        // Point.test1_Point(painter);
        // Point.test2_Point(painter);
        
        //Rectangle.test_rectangle(painter);
        // dessin_Roue();
        // drawFractale();
        test_turtle();
        
    }
    
    public static void dessin_Roue() {
    	int numberOfPoint = 10;

        Painter painter = new Painter(WIDTH,HEIGHT);
        Point center = new Point(WIDTH/2,HEIGHT/2 );
        Point point = new Point(100,0);
        for (int i = 0; i < numberOfPoint; i++) {
        	Point p1 = point.rotate((360/numberOfPoint)*i);
            Point nextPoint = point.rotate((360/numberOfPoint)*(i+1));
            
            p1 = p1.translate(center.x,center.y);
            nextPoint = nextPoint.translate(center.x,center.y);

            nextPoint.draw(painter,Color.red);

            center.drawLine(p1,painter,Color.blue);
            p1.drawLine(nextPoint,painter,Color.black);


        }

    }
    
    public static void drawSquare(Turtle turtle, int size) {
    	for (int i = 0; i < 4; i++) {
    	turtle.moveForward(size);
    	turtle.turnLeft(90);
    	}
    }
    
    
    	public static void test_turtle() {
    	Turtle turtle = new Turtle(800,600);
    	turtle.setColor(Color.black);
    	turtle.setPenDown();
    	int n = 20;
    	for (int i = 0; i < n; i++) {
    	turtle.turnRight(360.0/n);
    	drawSquare(turtle, 10);
    	}
    	
    	
    }

/*
    private static void drawFractale(){
        int width = 590, height = 580, nbIterations = 4;
        Turtle turtle = new Turtle(width, height);

        // Déplacement de la tortue en bas à gauche.
        turtle.setPenUp();
        turtle.turnLeft(90); turtle.moveForward(width/2-10);
        turtle.turnLeft(90); turtle.moveForward(height/2-10);
        turtle.turnLeft(180);
        turtle.setPenDown();

        // Définition des règles
        Rule[] rules = { new Rule('X', "XAYAX+A+YAXAY-A-XAYAX"),
                new Rule('Y', "YAXAY-A-XAYAX+A+YAXAY") };
        SetOfRules setOfRules = new SetOfRules(rules);

        // Application des règles nbIterations fois
        String sequence = "X";
        for (int i = 0; i < nbIterations; i++)
            sequence = setOfRules.apply(sequence);

        // Dessin de la séquence par la tortue
        turtle.drawString(sequence, 7, 90);
    }
*/

}
